"""empty message

Revision ID: f0e71195720e
Revises: f5cf63abdb47
Create Date: 2019-08-24 14:16:54.895647

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f0e71195720e'
down_revision = 'f5cf63abdb47'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('comments',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('message_text', sa.String(), nullable=True),
    sa.Column('validation_bool', sa.Boolean(), nullable=True),
    sa.Column('validation_date', sa.DateTime(), nullable=True),
    sa.Column('active_bool', sa.Boolean(), nullable=True),
    sa.Column('report_bool', sa.Boolean(), nullable=True),
    sa.Column('report_by_id', sa.Integer(), nullable=True),
    sa.Column('report_time', sa.DateTime(), nullable=True),
    sa.Column('created_time', sa.DateTime(), nullable=True),
    sa.Column('created_by_id', sa.Integer(), nullable=True),
    sa.Column('modified_time', sa.DateTime(), nullable=True),
    sa.Column('modified_by_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['report_by_id'], ['users.id'], name=op.f('fk_comments_report_by_id_users')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_comments'))
    )
    op.create_table('comments_by_items',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('comment_id', sa.Integer(), nullable=True),
    sa.Column('item_id', sa.Integer(), nullable=True),
    sa.Column('created_time', sa.DateTime(), nullable=True),
    sa.Column('created_by_id', sa.Integer(), nullable=True),
    sa.Column('modified_time', sa.DateTime(), nullable=True),
    sa.Column('modified_by_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['comment_id'], ['comments.id'], name=op.f('fk_comments_by_items_comment_id_comments')),
    sa.ForeignKeyConstraint(['item_id'], ['items.id'], name=op.f('fk_comments_by_items_item_id_items')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_comments_by_items'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('comments_by_items')
    op.drop_table('comments')
    # ### end Alembic commands ###
